<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('participants', function (Blueprint $table) {
            $table->boolean('is_free')->default(false)->after('status_reason');
        });

        Schema::table('participants', function (Blueprint $table) {
            $table->index(['academy_id', 'is_free']);
        });
    }

    public function down(): void
    {
        Schema::table('participants', function (Blueprint $table) {
            $table->dropIndex(['academy_id', 'is_free']);
            $table->dropColumn('is_free');
        });
    }
};
